Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class SleepMonitor.Monitor

    java.lang.Object
      avrora.monitors.SleepMonitor.Monitor

All Implemented Interfaces:
  FiniteStateMachine.Probe, Monitor

Enclosing class:
  SleepMonitor

public static class SleepMonitor.Monitor
extends java.lang.Object
implements Monitor, FiniteStateMachine.Probe

Field Summary
`protected long` | `awakeCycles`
`Program` | `program`
`Simulator` | `simulator`
`protected long` | `sleepCycles`

Method Summary
`void` | `fireAfterTransition(int bs, int as)` The `fireAfterTransition()` method allows the probe to gain control after the state machine transitions between two states.
`void` | `fireBeforeTransition(int bs, int as)` The `fireBeforeTransition()` method allows the probe to gain control before the state machine transitions between two states.
`void` | `report()` The `report()` method is called after the simulation is complete.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simulator

    public final Simulator simulator

### program

    public final Program program

### sleepCycles

    protected long sleepCycles

### awakeCycles

    protected long awakeCycles

Method Detail

### report

    public void report()

  Description copied from interface: `Monitor`
  The `report()` method is called after the simulation is complete. The monitor generates a textual or other format representation of the information collected during the execution of the program.

  Specified by:
    `report` in interface `Monitor`

### fireBeforeTransition

    public void fireBeforeTransition(int bs,
                                     int as)

  Description copied from interface: `FiniteStateMachine.Probe`
  The `fireBeforeTransition()` method allows the probe to gain control before the state machine transitions between two states. The before state and the after state are passed as parameters.

  Specified by:
    `fireBeforeTransition` in interface `FiniteStateMachine.Probe`
  Parameters:
    `bs` - the before state represented as an integer
    `as` - the after state represented as an integer

### fireAfterTransition

    public void fireAfterTransition(int bs,
                                    int as)

  Description copied from interface: `FiniteStateMachine.Probe`
  The `fireAfterTransition()` method allows the probe to gain control after the state machine transitions between two states. The before state and the after state are passed as parameters.

  Specified by:
    `fireAfterTransition` in interface `FiniteStateMachine.Probe`
  Parameters:
    `bs` - the before state represented as an integer
    `as` - the after state represented as an integer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD